# HTTP API reference

## Get and manage your API token

1. Open [API Management](https://quickqr.art/app/api-management).
2. Purchase an API credits package in [API Management](https://quickqr.art/app/api-management) to activate a new API key.
3. View and manage your API key in [API Management](https://quickqr.art/app/api-management).

You can review plans and credit pricing on [Pricing](/apis/pricing.md). Purchases are made in [API Management](https://quickqr.art/app/api-management).

Use Discord only if needed:

* Join the Official Discord server: <https://qra.ai/discord>
* Accept the T\&C by sending `/quickqrart` in any bot-enabled channel such as **#pixelml-bot-1**
  * Follow this guide: <https://app.guidde.com/share/playbooks/k9RT4TC4PT5VoPsTsD6VyQ?origin=LyX3ESjrhkRnKyyO9SBB1Mqnjus2>
* You can also check your API key with `/info` in image generation bot channels such as **#pixelml-bot-1**

After activation, test the API with your key. Manage keys and credits anytime in [API Management](https://quickqr.art/app/api-management).

## Authentication

All API requests must be authenticated with a token. Include this header with all requests:

```
x-api-key: <Your API token here>
```

## Documentation

* [Predictions](/apis/http-api-reference/predictions.md)
  * [Outpainting](/apis/http-api-reference/predictions/outpainting.md)
  * [Generate QR Art V5](/apis/http-api-reference/predictions/generate-qr-art-v5.md)
  * [Generate QR Art V5s](/apis/http-api-reference/predictions/generate-qr-art-v5s.md)
* [Rate limits](/apis/http-api-reference/rate-limits.md)
* [Improve the readability of the QR Code Art](/user-guide/improve-the-readability-of-the-qr-code-art.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quickqr.art/apis/http-api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
